Subject: Re: bug#64079: 28.2; dired-mouse-find-file does not respect dired-kill-when-opening-new-dired-buffer

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Jun 2023 16:14:30 +0300

> From: Fadi Moukayed <[email-masked]>
> Date: Thu, 15 Jun 2023 13:10:25 +0200
> Cc: [email-masked]
> 
> Hi Eli,
> 
> Thanks a lot. Just tested your patch a few moments ago (with
> dired-kill-when-opening-new-dired-bufferset to t) and it fixes the issue.
> 
> I also tested the default behavior (with
> dired-kill-when-opening-new-dired-buffer
> set to nil), and everything works as expected in that case as well.

Thanks for testing.  I've now installed the fix on the emacs-29
branch, and I'm closing this bug.